Synaptics Driver Release Notes for THTF
OS: 32-bit and 64-bit Windows 7, Windows 8, Windows 8.1 and Windows 10
Languages Supported: English, Arabic, Portuguese (Brazil), Croatian, Czech, Danish, French, French Canadian, Finnish, Greek, German, Hungarian, Indonesian, Hebrew, Italian, Japanese, Korean, Spanish (Mexico), Dutch, Norwegian Bokmal, Polish, Portuguese, Romanian, Russian, Swedish, Slovakian, Spanish (Spain), Slovenian, Thai, Turkish, Traditional Chinese, and Simplified Chinese.
Version: 19.2.5.34 Date: 08-02-2017

Issue Number | Description | Root Cause | Solution
--- | --- | --- | ---
HDR-37022 ✓ | Cursor frozen when pointing | 19.2.5.27 | THTF.Inf | Driver will get a large W value(12) sometimes and trigger palmreject. | Adjust Palmstroke table.

Version: 19.2.5.33 Date: 02-10-2017

Issue Number | Description | Root Cause | Solution
--- | --- | --- | ---
HDR-35696 ✗ | [Toshiba SecurePad, Win10 RS1] Copyright year should be modified to 2017 | Copyright not updated | Update Copyright to 2017

Version: 19.2.5.32 Date: 01-13-2017
System enhancements
Version: 19.2.5.31 Date: 01-03-2017
System enhancements
Version: 19.2.5.30 Date: 12-19-2016
System enhancements
Version: 19.2.5.29 Date: 12-15-2016
System enhancements
Version: 19.2.5.28 Date: 11-22-2016
System enhancements
Version: 19.2.5.27 Date: 11-15-2016
System enhancements
Version: 19.2.5.26 Date: 09-29-2016

Issue Number | Description | Root Cause | Solution
--- | --- | --- | ---
HDR-34663 ✓ | SmartSense will be restored to default setting after S1/S2/S3/S4 | The CCFParameters is not correctly updated while TP_PalmThreshold API comes, and also it is not saved while calling APISaveState(). | Porting fix in HDR-31780 from trunk to branch.

Version: 19.2.5.25 Date: 09-20-2016
System enhancements
Version: 19.2.5.24 Date: 09-01-2016
System enhancements
Version: 19.2.5.23 Date: 08-30-2016

Issue Number | Description | Root Cause | Solution
--- | --- | --- | ---
HDR-34084 ✓ | Virtual keyboard icon shows up on non-touchscreen machines | Virtual keyboard would show because of touch injection activated. | Porting fix from another branch about hiding virtual keyboard when there is no touch screen on the platform.

Version: 19.2.5.21 Date: 07-12-2016
System enhancements
Version: 19.2.5.20 Date: 06-29-2016
System enhancements
Version: 19.2.5.19 Date: 06-21-2016

Issue Number | Description | Root Cause | Solution
--- | --- | --- | ---
HDR-33343 ✓ | During Win7 OOBE installation, left/right button doesn't work | It might be the lid close switch event to trigger disable TP and button that sare not synchronized when OOBE is activated. | Porting code about synchronized TP and button status from trunk to branch.
HDR-32090 ✓ | [THTF Win10] cursor still moves with 30mm slug sliding on it | adjust palm W threshold | adjust palm W threshold

Version: 19.2.5.18 Date: 05-25-2016

Issue Number | Description | Root Cause | Solution
--- | --- | --- | ---
HDR-32498 ✓ | Copyright year does not upgrade to 2016 | Copyright not updated in the branches | Updated copyright to 2016
HDR-32090 ✓ | [THTF Win10] cursor still moves with 30mm slug sliding on it | adjust palm W threshold | adjust palm W threshold

Version: 19.2.5.17 Date: 04-22-2016
System enhancements
Version: 19.2.5.16 Date: 04-22-2016
System enhancements
Version: 19.2.5.15 Date: 04-06-2016
System enhancements
Version: 19.2.5.14 Date: 04-01-2016
System enhancements
Version: 19.2.5.13 Date: 03-31-2016
System enhancements
Version: 19.2.5.12 Date: 03-18-2016
System enhancements
Version: 19.2.5.11 Date: 02-29-2016
System enhancements
Version: 19.2.5.10 Date: 02-18-2016
System enhancements
Version: 19.2.5.9 Date: 02-17-2016

Issue Number | Description | Fix Comment
--- | --- | ---
HDR-32319 | [HID/USB] Observed opposite scroll direction while performing 2F edge motion scroll in MS Edge | Fix injection bug (reverse scroll doesn't work)

Version: 19.2.5.8 Date: 02-01-2016
System enhancements
Version: 19.2.5.7 Date: 01-27-2016
System enhancements
Version: 19.2.5.6 Date: 01-25-2016
System enhancements
Version: 19.2.5.5 Date: 01-20-2016
System enhancements
Version: 19.2.5.4 Date: 01-12-2016
System enhancements
Version: 19.2.5.3 Date: 12-29-2015
System enhancements
Version: 19.2.5.2 Date: 12-28-2015
System enhancements
Version: 19.2.5.1 Date: 12-15-2015
System enhancements
Version: 19.2.5 Date: 12-03-2015

Issue Number | Description | Fix Comment
--- | --- | ---
HDR-31713 (109532) | Synaptics TP has no Scrolling function by Windows Photo Browser | Send only 1 finger position for metro photos
HDR-31743 | Report rate calculation is wrong on non-PS2 platform if there are more than 1 finger on the pad | Fixed a wrong logic that causes the driver uses wrong report rate for MF case.
HDR-31756 | Cursor suppressed from moving sometimes when moving the cursor on the desktop for mini port driver | Don't convert non-finger to palm for miniport driver.

Version: 19.2.4 Date: 11-26-2015
System enhancements
Version: 19.2.3 Date: 11-19-2015

Issue Number | Description | Fix Comment
--- | --- | ---
PRJ-35733 | Inertia, coasting and edge motion support for TouchInjection | Make scroll speed adjustment supported in touch injection

Version: 19.2.2 Date: 11-12-2015

Issue Number | Description | Fix Comment
--- | --- | ---
HDR-31551 | Add PS2 query $11 | Added PS2 $11 query for integrated stick
PRJ-35733 | Inertia, coasting and edge motion support for TouchInjection | Add 1 finger chiral scroll supported in touch action. add some performance fix

Version: 19.2.1 Date: 11-06-2015

Issue Number | Description | Fix Comment
--- | --- | ---
HDR-12003 | Review location of driver parameters | Moved some registry from HKLM\system.... to HKLM\Software\Synaptice\.. because they are put in wrong place.; Fixed a build error.
HDR-12577 | remove the m_pPluginAction from the zone | Removed the m_pPluginAction from the zone.

Version: 19.2.0 Date: 10-29-2015

Issue Number | Description | Fix Comment
--- | --- | ---
HDR-31431 | Touchinjection error occurs when lifting one finger up during 2 finger gestures | Fix injection error. If the lifted up finger is finger 0 then we have no chance to go into slide to call cancel action of touch action, and we also do not contine to feed in moving finger of touch screen, then OS will found we time out to feed in touch screen packet and neither to send a finger up packet to end the stroke, then there is time out error.
PRJ-35733 | Inertia, coasting and edge motion support for TouchInjection | Add code to make touch injection support 1 finger scrolling. And fix a bug

Version: 19.1.3 Date: 10-22-2015

Issue Number | Description | Fix Comment
--- | --- | ---
|  | New language translations for Windows installer, help files and control panel
HDR-31326 (ECR358436) | Vertical/Horizontal Swipe checkbox under three fingers will auto be checked when switch tab in Gesture. | The hidden control should not get or set settings
HDR-31349 | Add back the logs for KTL Enhancement | Adding back KTL Enhancement log for different Stroke State.
|  | We still need to install SMBus driver for FW with SMBus bootloader.

Version: 19.1.2 Date: 10-15-2015
System enhancements
Version: 19.1.1 Date: 10-08-2015
System enhancements
Version: 19.0.27 Date: 09-29-2015
System enhancements
Version: 19.0.26 Date: 09-29-2015

Issue Number | Description | Fix Comment
--- | --- | ---
HDR-30955 | Win 10 PTP like 3 finger gesture: We should do nothing when doing 3 finger horizontal flick in task switcher window with "new desktop" button | Fix win10-like 3 finger flick issue in new windows internet browser. And add emit; Change win 10 PTP like 3 finger flick gesture behavior
HDR-31037 | When connect 2 PCs using a usb file transfer cable, and then use the mosue to move cursor between 2 PCs, then do 3 finger flick down, the behavior is not correct | fix win 10 like 3 finger flick issue

Version: 19.0.25 Date: 09-10-2015

Issue Number | Description | Fix Comment
--- | --- | ---
HDR-30773 | [ Win10] Alt + Tab / 3 finger left - right swipes to switch application function can be triggered after put 1 finger on the touchpad then do zoom / pinch gesture by another 2 fingers. | If one finger is not in resting zone, the other 2 fingers perform pinch gesture, then when thease 2 fingers lift up, we might triggered the 3 finger flick gesture. We should always do the finger direction check no metter the finger counts
HDR-30887 | Press Win + M to minimize all windows then Press Win + Tab to launch task switcher, then do 3 finger flick it will close the task switcher | Fix win10-like 3 finger flick up bug
HDR-30922 | Double tap to disable the touchpad it shows "ON" at the Mouse & touchpad | Wrong logic, a TP enable/diswable hot key only was sent to disable TP, otherwise the TP is disabled, there is no chance to sent the hotkey to enable it.

Version: 19.0.24 Date: 09-04-2015

Issue Number | Description | Fix Comment
--- | --- | ---
PRJ-35570 | Change coinstaller and setup program to install HID/SMB miniport driver | Added Dpinst exit code
HDR-30794 | Convert HID=SYN2E02 to SMBus platform | convert syn2E02 to SMBbus

Version: 19.0.23 Date: 08-27-2015

Issue Number | Description | Fix Comment
--- | --- | ---
HDR-30012 | [Win10] Synaptics Startup Program in Windows 10 in comparison with Windows 8.1 | Remove run key if we use service to launch enhancement for all windows; Remove run key to start up SynLenovoHelper.
HDR-30621 | Add new HID=SYN2E02 in THTF inf file | add SYN2E02 ID for THTF

Version: 19.0.22 Date: 08-20-2015
System enhancements
Version: 19.0.21 Date: 08-13-2015

Issue Number | Description | Fix Comment
--- | --- | ---
HDR-30303 | Please add localized help message for Windows 10 3F and 4F gestures | Fix "Maximum" and "Minimum" translations in Windows 10 gestures
HDR-30339 | Fail to uninstall driver from Win10 Settings: Apps & Features | Add detailed driver unstallation to the log log; Get original install dir of synpd oem inf to the log
HDR-30474 | Button comb box is not greyed out in PTP mode | Greyed out buttons combbox when the TP is switched to PTP.

Version: 19.0.20 Date: 08-06-2015

Issue Number | Description | Fix Comment
--- | --- | ---
HDR-30458 | Turn off ALT+SHIFT+L to dump log file by default | Turned off using "ALT+SHIFT+L" to collect a log file because it affect some apps which use these hot key.

Version: 19.0.19 Date: 07-30-2015

Issue Number | Description | Fix Comment
--- | --- | ---
HDR-30170 | Marking resources as non-discardable | Marking resources as non-discardable
HDR-30268 (1197171) | 1197171 - FNC_PE_ /Aria & Venetian: In the drop down box of Button Action (Button /Zone completely disabled) repeat on Touchpad (TouchStyk) tab | Fixed plugin action list item repeat issue when there is only one plugin action; Removed all plugin actions for LRM buttons.
HDR-30339 | Fail to uninstall driver from Win10 Settings: Apps & Features | Add unstallation log ton Synaptics.PD.log; Hide command prompt windows in installation; Hide command prompt windows which remove SynTPEnhService in uninstallation; Add last step in finish install lon Synaptics.PD.log; Fixed cannot uninstallation driver from Win10 - Settings - Apps & features

Version: 19.0.18 Date: 07-23-2015

Issue Number | Description | Fix Comment
--- | --- | ---
HDR-30262 | Use major version for HID/I2C in miniport driver | Changed FW version report format in miniport HID descriptor, for HID/I2C platform only major version is used, for InterToutch the version formation is major(8-bit).minor(8-bit).
HDR-30270 | Set ShareVector to TRUE which allows IRQ sharing in SMB | Set ShareVector to TRUE which allows other devices sharing interrupt with SMB.
HDR-30271 | Report max finger report count the same as FW in HID so we can support reported fingers less than 5 | Reported max finger report what FW reports instead of hard coded 5 in miniport driver HID descriptor so we can support less than 5 fingers.

Version: 19.0.17 Date: 07-17-2015

Issue Number | Description | Fix Comment
--- | --- | ---
HDR-30055 | Improve SMB data read performance | Combined F01 read with partial F11 and skipped F11 relative and gesture data for SMB so we can reduce SMB bus traffic.
HDR-30149 | Un-installation is not clean at the registry and C:\Program Files | Prevent restart too early in uninstallation
HDR-30171 | Report real FW version through miniport driver instead of hard coded 0 | Reported real FW version through miniport driver to OS for miniport driver PTP.
HDR-30065 | Need Linux driver | [linux] dbus not ready before we start our service in BOSS distribution.

Version: 19.0.16 Date: 07-09-2015

Issue Number | Description | Fix Comment
--- | --- | ---
HDR-29834 | Add a new control type | Add a new control type ToggleSwitch.
HDR-30055 | Improve SMB data read performance | Combined F01 read with partial F11 and skipped F11 relative and gesture data for SMB so we can reduce SMB bus traffic.
HDR-30081 | Dynamically create HID descriptor based on TouchPad type | Create HID descriptor based on TouchPad type either report 3 buttons or 1 button for miniport driver.

Version: 19.0.15 Date: 07-02-2015

Issue Number | Description | Fix Comment
--- | --- | ---
HDR-29725 | Driver package to deprecate SynReflash tool from manifest | SynReflash will only be included in driver package if specified
HDR-29885 | Twist rotate is no function | Add Rotation support for Microsoft Window Photos App for win10
HDR-29964 | Branch Build Request v19.0.14.x ( _UltraNav_HidMini.inf) | Changed ACM confidence value to zero to allow using FW reported contact type and ignore confidence value if the slider is in the last slot.

Version: 19.0.14 Date: 06-25-2015

Issue Number | Description | Fix Comment
--- | --- | ---
HDR-28998 | Video for Windows 10 3F flick. | Added videos for Windows 10 3F gestures

Version: 19.0.13 Date: 06-18-2015

Issue Number | Description | Fix Comment
--- | --- | ---
HDR-29759 | Please show FW version while query information in SynReflash | Fixed SynReflashPkg fail while image size over USHORT; Show FW version while query information under console

Version: 19.0.12 Date: 06-11-2015

Issue Number | Description | Fix Comment
--- | --- | ---
HDR-29609 | Missing ACM2 data when converting secondary finger packet to primary finger. | Moved ACM 2 data from secondary finger packet to primary finger packet when the packet is converted to raw packet.
HDR-29638 | BSOD when pressing any key | Fixed BSODs.
HDR-29671 | Remove sticky border control from all UIs | Removed sticky border feature from all control panel since this feature is rarely used by end users and also the driver cannot detect windows border correctly every time when there is a new OS release so we decided to remove this feature.

Version: 19.0.11 Date: 06-04-2015

Issue Number | Description | Fix Comment
--- | --- | ---
HDR-29039 | Video & Descrption for Windows 10 3F Swipe | New UI translations for Windows 10; New Windows 10 Translations for Enhancement

Version: 19.0.10 Date: 05-28-2015

Issue Number | Description | Fix Comment
--- | --- | ---
HDR-29283 | SynReflashPkg need to support more informations | Add packrat ID into file property while use SynReflashPkg to pack image and cfg
HDR-29353 | Change featurescore to 0xF9 per MS recommendation | Changed FeatureScore to 0xF9

Version: 19.0.9 Date: 05-21-2015

Issue Number | Description | Fix Comment
--- | --- | ---
HDR-29353 | Change featurescore to 0xF9 per MS recommendation | Changed FeatureScore to 0xF9
|  | Update DriverName to the one with UUID appends.

Version: 19.0.8 Date: 05-14-2015

Issue Number | Description | Fix Comment
--- | --- | ---
HDR-10618 | SynCOM samples have errors and warnings when compiling | mfctest; keypad; cPadClock; cPadImage; Disabler; Comtest; DisableGesture; SynDrumPad; BezelTest; SynWrapSample; SynPlot; SynDrumPad take out from SDK since it depends srd party library DirectX; SynView; SynForcePad; Dpn't include build bat files
HDR-13375 | Remove LAPACK copyright info | Copyright 2014 to 2015; Remove LAPACK copyright info
HDR-28137 | Un-installation driver is not clean | Use %ProgramFiles%\Synaptics\SynTP as temp dir to install auxiliary drivers instead of creating temp dirs in %ProgramData%
HDR-29104 | Change driver package name from SynARP | Update OS support information in SynPD.inf
HDR-26997 (FM: 2259) | This is a placeholder for build generated checkins. | Update ReleaseNotes.html

Version: 19.0.7 Date: 05-08-2015

Issue Number | Description | Fix Comment
--- | --- | ---
HDR-28137 | Un-installation driver is not clean | Un-installation driver is not clean - remove old SynTPCoInstaller; Use %ProgramFiles%\Synaptics\SynTP as temp dir to install auxiliary drivers instead of creating temp dirs in %ProgramData%; Always overwrite Coinstaller in update install
HDR-28874 | Incorrect ASIC Displayed in Diagnostics Window | Get correct ASIC type from F01 query 19.
HDR-29080 | Suppress Tap on Top Left Corner for SecurePad | Added code to suppress tap in the SecurePad notch area.; Checked whether query41 exists to find right offset for query43.
HDR-29102 | Update control panel to disable top left corner tap zone from UI | Hidden top left tap zone controls from the control panel.; Fixed a compiling error.
HDR-29103 | Update device type to SecurePad for SecurePad in the CPL to refer the device type | Updated device type to SecurePad in the CPL to refer the device type for SecurePad

Version: 19.0.6 Date: 04-30-2015

Issue Number | Description | Fix Comment
--- | --- | ---
HDR-28622 | Tap zones can't work on the top right and top left corner | Allowed tap if a finger is in tap zone and object type is non-finger and tap zone is enabled.
HDR-28913 | Return code=-1 | Fixed return code for setup
HDR-29001 | Touchpad won't work after the system idle for a while. | Merge from branch to trunk.
HDR-29002 | Modify Edgeswipe setting on HID=SYN2E01 | THTF_PS2_AddReg -> THTF_COMMON_AddReg; Modify EdgeSwipe settings.

Version: 19.0.5 Date: 04-23-2015

Issue Number | Description | Fix Comment
--- | --- | ---
HDR-28907 | Correct Finger Packet State not for all fingers in a group but for those who are really in the zones | Correctly update Finger Packet State not for all fingers in a group but for those who are really in the left/right/resting zones
HDR-28944 (676644) | [Microsoft Windows 10 Team] [DeviceCompat][HID][CUET] : The check box setting "Disable internal pointing device..." in mouse properties under clickpad tab doesn't get applied. | Fixed checkbox out of sync issue when there are two tabs in the control panel such as Show tray icon in the taskbar or disable internal pointing device when external USB pointing device is attached.

Version: 19.0.4 Date: 04-16-2015

Issue Number | Description | Fix Comment
--- | --- | ---
HDR-28826 | Cursor response will delay around 1 min after resume back from S3/S4 | Turn off MUX

Version: 19.0.3 Date: 04-09-2015
System enhancements
Version: 19.0.2 Date: 04-02-2015

Issue Number | Description | Fix Comment
--- | --- | ---
HDR-28731 | Add FeatureScore for all OEM INFs. | Fixed build errors.; Added FeatureScore in INF so OEM driver is always picked by WU first so the generic driver can be overridden in WU.
HDR-28736 | Change SMBus mode switch retry to zero | Removed SMBus mode switch retry from SwitchMode because there is a retry logic in the low level driver (retry 16 times).

Version: 19.0.1 Date: 03-26-2015
System enhancements
Version: 19.0.0 Date: 03-19-2015

Issue Number | Description | Fix Comment
--- | --- | ---
HDR-28484 | Create miniport driver INF for major customers. | Created miniport driver installation package for major ciustomers. 1, Added plugin registries back fir miniport driver, otherwise synthenh cannot be launched. 2, Always created OSD class instead of enabling by registry because OSD is used several placec, if this registry is missing, the syntpenh will crash.
HDR-28488 | Gesture and Pointing performance improvement | 1, Fixed memory leakage when the miniport driver is disabled or removed. 2, Fixed the miniport driver is disabled when any USB mouse is unplugged from USB ports. 3, Reported to PTP using normalized X, Y instead of filtered X, Y.; Fixed 1palm+1F failure issue if palm is down first, 1F is down second, then palm is up, the pointing does not work any more. We should fill in finger data one by one from array index 0, should no gap between finger data..

Version: 18.2.3 Date: 03-12-2015

Issue Number | Description | Fix Comment
--- | --- | ---
HDR-28484 | Create miniport driver INF for major customers. | Created miniport driver installation paclage for major ciustomers.

Version: 18.2.2 Date: 03-06-2015

Issue Number | Description | Fix Comment
--- | --- | ---
HDR-28341 | Review all INFs to add HID/ACPI before PnP IDs | Per Win10 WU we have to add ACPI before PnP IDS isntead of *.

Version: 18.2.1 Date: 02-27-2015
System enhancements
Version: 18.2.0 Date: 02-19-2015
System enhancements
Version: 18.1.53 Date: 02-12-2015
System enhancements
Version: 18.1.52 Date: 02-05-2015

Issue Number | Description | Fix Comment
--- | --- | ---
HDR-28175 | Hide all edge swipe controls for Win10 | Hidden edge swipe controls from CPL for Win10.
HDR-28189 | Add Intel SkyLake chipset support in SMB INF | Added Intel Skylake chipset support for SMBus.

Version: 18.1.51 Date: 01-29-2015
System enhancements
Version: 18.1.50 Date: 01-22-2015

Issue Number | Description | Fix Comment
--- | --- | ---
HDR-28039 | TouchPad should be enabled after checked "Disable internal pointing device when external USB pointing device is attached" then unplugged external USB mouse. | Fixed the USB mouse plugin/unplugin disable/enable issue, the notification reason is changed, it does not match with user mode driver, so the event is not processed by the user mode driver.,

Version: 18.1.49 Date: 01-15-2015
System enhancements
Version: 18.1.48 Date: 01-08-2015

Issue Number | Description | Fix Comment
--- | --- | ---
HDR-27930 | Disable audio feedback for button clicking | Read ForcePad click sound mute status from registry..

Version: 18.1.47 Date: 12-25-2014
System enhancements
Version: 18.1.46 Date: 12-18-2014

Issue Number | Description | Fix Comment
--- | --- | ---
HDR-913 (Hyder001) | Using force data to reduce false taps working with ACM | Ignored tap decoding if force is less than certain threshold.

Version: 18.1.45 Date: 12-11-2014

Issue Number | Description | Fix Comment
--- | --- | ---
HDR-27746 | Add more log information in the driver | Logged ForceModel reset event.
HDR-27742 | Modify edge swipe setting. | Adjust Edge Swipe setting.

Version: 18.1.44 Date: 12-05-2014
System enhancements
Version: 18.1.43 Date: 11-26-2014
System enhancements
Version: 18.1.42 Date: 11-20-2014
No changes
Version: 18.1.41 Date: 11-14-2014
No changes
Version: 18.1.40 Date: 11-07-2014
No changes
Version: 18.1.39 Date: 10-31-2014

Issue Number | Description | Fix Comment
--- | --- | ---
HDR-626 (ECR232511) | Unqouted Service Path in Registry with SynTPEnhServic | add quotes to Service's ImagePath in Registry

Version: 18.1.38 Date: 10-24-2014

Issue Number | Description | Fix Comment
--- | --- | ---
HDR-624 | Make DPI aware default disabled | Make DPI aware
HDR-65 | TouchPad doesn't work for a time after detaching external USB mouse | Fixed TouchPad does not work after detaching external mouse

Version: 18.1.37 Date: 10-17-2014

Issue Number | Description | Fix Comment
--- | --- | ---
HDR-511 | Pinch does not work in ForceTutorial app | Fixed wrong cursor position when DPI aware is enabled in syntpenh, that caused pinch or scrolling does not work if it uses wheel mouse message and the system is not in 96dpi. Called right function to window handle under pointer to fix wrong window handle which causes pinch does not work in ForcePad Tutorail app.

Version: 18.1.36 Date: 10-09-2014
No changes
Version: 18.1.35 Date: 10-02-2014

Issue Number | Description | Fix Comment
--- | --- | ---
HDR-28 | [3+2BCP] 3F swipe not working on Metro Photo Application | Make 3F swipe working in Metro Photo Application
HDR-411 | Powerpoint 2013 will be Grayed when using finger to Horizontal scrolling | Used key scroll instead of bar scrolling for PowerPoint to fix "Powerpoint 2013 will be Grayed when using finger to Horizontal scrolling".

Version: 18.1.34 Date: 09-25-2014
No changes
Version: 18.1.33 Date: 09-18-2014
No changes
Version: 18.1.32 Date: 09-11-2014

Issue Number | Description | Fix Comment
--- | --- | ---
HDR-264 | Audio feedback missed if clicking is too fast and audio playback is too slow | Queued clicking press/release event, then playback audio feedback one by one if the queue is not empty, this fixed clicking sound missing or press/release misorder.

Version: 18.1.31 Date: 09-04-2014

Issue Number | Description | Fix Comment
--- | --- | ---
HDR-208 | Remove allowing edge swipe if first three packets are palm | Removed old implementation for relaxing palm rejection in the edge fro edge swipe gestures.
HDR-209 | Add API to disable/enable suppression motion while typing. | Exposed API to allow an application to disable/enable motion suppression while typing.
HDR-210 | Force drag is triggered unexpected | Fix an wrong ForceReleased drag generated by Force-Clciking-releasing without motion before release force.
HDR-227 | Relax edge swipe condition in edge if first three packets are palm | Ignored palm check for first three packets if it is edge swipe, this will fix edge swipe missing with large flat finger or very fast edge swipe.

Version: 18.1.30 Date: 08-29-2014

Issue Number | Description | Fix Comment
--- | --- | ---
|  | "Enable" button is not greyed out if the TP is disabled, then plug in USB mouse with "Disable internal pointing device when external USB pointing device is attached" checked.

Version: 18.1.29 Date: 08-21-2014
No changes
Version: 18.1.28 Date: 08-15-2014
No changes
Version: 18.1.27 Date: 08-07-2014
No changes
Version: 18.1.26 Date: 08-01-2014
No changes
Version: 18.1.25 Date: 07-25-2014
No changes
Version: 18.1.24 Date: 07-17-2014
No changes
Version: 18.1.23 Date: 07-10-2014

Issue Number | Description | Fix Comment
--- | --- | ---
TP-47650 (ECR209588 -> Win7, ECR209586 -> Win8) | UI translation on Chinese Simplified | New translations for the word "Charms" for Windows 8
TP-48348 | SynTPEnh crashes when the driver is uninstalled. | Fixed syntpenh crash when the dirver is uninstalled.

Version: 18.1.22 Date: 07-04-2014
No changes
Version: 18.1.21 Date: 06-26-2014

Issue Number | Description | Fix Comment
--- | --- | ---
TP-48242 | Remove all short cuts all user when the driver is uninstalled/upgraded. | Remove All users short cuts in uninstallation or before driver update

Version: 18.1.20 Date: 06-20-2014
No changes
Version: 18.1.19 Date: 06-12-2014
No changes
Version: 18.1.18 Date: 06-06-2014

Issue Number | Description | Fix Comment
--- | --- | ---
TP-48043 | Add TM number in configkey | Appended TM number in configkey so we can support multiple TouchPad in the system.

Version: 18.1.17 Date: 05-29-2014
No changes
Version: 18.1.16 Date: 05-22-2014

Issue Number | Description | Fix Comment
--- | --- | ---
TP-47648 (ECR209588 -> Win7, ECR209586 -> Win8) | UI translation on Brazil Portugese | Fix Portuguese translation for "charms" from Windows 8
TP-47650 (ECR209588 -> Win7, ECR209586 -> Win8) | UI translation on Chinese Simplified | Add translated strings for TouchPad Pointing Speed and 3F Swipe; Fix Traditional and Simplified Chinese words for Win8 Charms
TP-47856 | Text "Momentum" is not translated | Restore translation for "Momentum"
TP-47874 | SynForcePad is not working on SMB or HID/I2C system | Modified the connection type in SynForcePad so we can run the demo app on SMB and other platform.

Version: 18.1.15 Date: 05-15-2014

Issue Number | Description | Fix Comment
--- | --- | ---
TP-47801 | On simplified Chinese language, the translation for "Pointing Speed" is different from the help file on the General tab | Fix Traditional Chinese translation for "Pointer Speed" help topic
TP-47860 | Spell out FW to Firmware | Spelled out FW VErsion to Firmware Version.

Version: 18.1.14 Date: 05-09-2014

Issue Number | Description | Fix Comment
--- | --- | ---
TP-47799 | Set focus on Synaptics device tab | Set focus to Synaptics tab after the CPL is opened.
TP-47814 | Top edge zone size is wrong | Top edge swipe zone size is wrong, whole TP is top edge swipe zone, this causes tue cursor cannot be moved vertically.
TP-47815 | Change FW version display format for HID device | Changed FW version display format for HID device from major.minor to an integer.

Version: 18.1.13 Date: 05-01-2014
No changes
Version: 18.1.12 Date: 04-25-2014
No changes
Version: 18.1.11 Date: 04-18-2014
No changes
Version: 18.1.10 Date: 04-10-2014

Issue Number | Description | Fix Comment
--- | --- | ---
|  | Fixed TP lost function after this power sequence s3->s4->resume.resume from s4, then resume

Version: 18.1.9 Date: 04-03-2014

Issue Number | Description | Fix Comment
--- | --- | ---
|  | Prevent unnecessary registry reads if stick device is not present.
TP-47221 | Cursor gets stuck inside Application's border | Fixed "Sticky Border" option (in Accessibility options) so that the cursor is not stuck inside application's border after the application is closed.

Version: 18.1.8 Date: 03-27-2014
No changes
Version: 18.1.7 Date: 03-21-2014

Issue Number | Description | Fix Comment
--- | --- | ---
TP-46951 | Remove setting remote control region register for AMD SMB driver | Don't touch other bits of ASF_IO index 0x15 register, otherwise ASF does not work after S3/S4/S5.
|  | Added button state in packet when momentum was stopped otherwise drag was dropped after momentum if the button is still down.
|  | Greyed out some controls in main page if the device is disabled.

Version: 18.1.6 Date: 03-13-2014
No changes
Version: 18.1.5 Date: 03-06-2014
No changes
Version: 18.1.4 Date: 02-27-2014

Issue Number | Description | Fix Comment
--- | --- | ---
TP-47170 | customer report filter activation time is in 0/6, correct setting should be in 2/6 | Modified PalmCheck filters registry path to get settings for either ACM1 or ACM2.0.; Set advanced filter timeout to notch 2 (1sec).

Version: 18.1.3 Date: 02-21-2014
No changes
Version: 18.1.2 Date: 02-13-2014
No changes
Version: 18.1.1 Date: 02-07-2014
No changes
Version: 18.1.0 Date: 01-30-2014

Issue Number | Description | Fix Comment
--- | --- | ---
TP-46951 | Remove setting remote control region register for AMD SMB driver | Removed unnecessary code to change the slave address of AMD SMB controller1 for ASF, this caused NIC fails to talk with SMB ASF.

Version: 18.0.9 Date: 01-23-2014

Issue Number | Description | Fix Comment
--- | --- | ---
TP-1863 (FM: 2259) | This is a placeholder for build generated checkins. | New release note for THTF; Remove cvs new-file logs from release notes; Build script; SynForcepad_uxui.html -> SynForcepad.html
TP-46834 | PnPID application for Baytrail-M | Add PNPid.

Version: 18.0.8 Date: 01-16-2014

Issue Number | Description | Fix Comment
--- | --- | ---
TP-46834 | PnPID application for Baytrail-M | Add new THTF inf and PNPid SYN2901.